Bug 195416 - scim-chewing needs initial input mode configuration
scim-chewing needs initial input mode configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-chewing (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caius Chance
: i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2006-06-15 00:15 EDT by Jong Bae KO
Modified: 2008-04-27 19:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-27 19:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (incompleted) (4.63 KB, patch)
2006-09-10 21:26 EDT, Caius Chance
no flags Details | Diff
temp progress 1/2 (2.08 MB, application/x-rpm)
2008-04-23 20:02 EDT, Caius Chance
no flags Details
temp progress 2/2 (435.53 KB, application/x-rpm)
2008-04-23 20:03 EDT, Caius Chance
no flags Details
finished patch 1/2 (9.29 KB, text/x-patch)
2008-04-24 02:51 EDT, Caius Chance
no flags Details
finished patch 2/2 (785 bytes, text/x-patch)
2008-04-24 02:52 EDT, Caius Chance
no flags Details

  None (edit)
Description Jong Bae KO 2006-06-15 00:15:44 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
In other to turn on scim by default and for shared input mode,
scim-chewing needs to provide an initial input mode configuration
mode (like scim-anthy and scim-hangul currently do) to allow users
to choose whether they start in ascii or conversion mode.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
scim-chewing already provides a hotkey to toggle between ascii and conversion
mode (Shift+Shift release).
Comment 2 Caius Chance 2006-09-10 21:26:45 EDT
Created attachment 135941 [details]
proposed patch (incompleted)

Feature request has been filed to upstream:

http://rt.openfoundry.org/Foundry/Project/Tracker/Display.html?Queue=263&id=23497


-----

The patch was not functioning fully. i.e. the setting row is display on the top
of another setting in keyboard menu, row 2.
Comment 4 Caius Chance 2008-04-23 20:02:42 EDT
Created attachment 303562 [details]
temp progress 1/2
Comment 5 Caius Chance 2008-04-23 20:03:24 EDT
Created attachment 303563 [details]
temp progress 2/2
Comment 6 Caius Chance 2008-04-24 02:51:53 EDT
Created attachment 303595 [details]
finished patch 1/2
Comment 7 Caius Chance 2008-04-24 02:52:25 EDT
Created attachment 303596 [details]
finished patch 2/2
Comment 8 Caius Chance 2008-04-24 02:55:19 EDT
Ready to build.
Comment 9 Caius Chance 2008-04-27 19:39:16 EDT
Built. Closing.

Note You need to log in before you can comment on or make changes to this bug.